Skip to main content
GET
/
v1
/
template
/
share
Get Shared Template List
curl --request GET \
  --url https://api.projectdiscovery.io/v1/template/share \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.projectdiscovery.io/v1/template/share"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v1/template/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "count": 123,
  "total": 123,
  "results": [
    {
      "uri": "<string>",
      "id": "<string>",
      "name": "<string>",
      "author": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "severity": "<string>",
      "type": "<string>",
      "dir": "<string>",
      "ref": "<string>",
      "vendor": "<string>",
      "product": "<string>",
      "classification": {
        "cve-id": [
          "<string>"
        ],
        "cwe-id": [
          "<string>"
        ],
        "cvss-metrics": "<string>",
        "cvss-score": 123,
        "epss-score": 123,
        "epss-percentile": 123,
        "cpe": "<string>"
      },
      "metadata": {},
      "digest": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "release_tag": "<string>",
      "is_early": true,
      "raw": "<string>",
      "template_id": "<string>",
      "description": "<string>",
      "filename": "<string>",
      "impact": "<string>",
      "ai_meta": {
        "model_used": "<string>",
        "is_prompt_by_human": true,
        "is_template_by_human": true,
        "prompt": "<string>"
      },
      "references": [
        "<string>"
      ],
      "is_draft": true,
      "is_github": true,
      "is_new": true,
      "is_pdteam": true,
      "remediation": "<string>",
      "ttl": "<string>",
      "share_type": "<string>",
      "users_email": [
        "<string>"
      ],
      "organizations": [
        "<string>"
      ]
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Team-Id
string

Query Parameters

fields
string
limit
integer

Limit The numbers of items to return

offset
integer

Offset The numbers of items to skip

sort_asc
string

SortAsc Sort results in ascending order (CSV field names)

sort_desc
string

SortDesc Sort results in descending order (CSV field names)

Response

Example response

message
string
required
count
integer
total
integer
results
object[]